API endpoint
https://dlx-rank.com/api/v1/reports
Beispiel Request
curl --location --request GET 'https://dlx-rank.com/api/v1/reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
url für URL. Standardmäßig ist: url.
website_id
result
good für Gut, decent für Befriedigend, bad für Ungenügend.
sort_by
id für Erstellungsdatum, url für URL, score für Score. Standardmäßig ist: id.
sort
desc für Absteigend, asc für Aufsteigend. Standardmäßig ist: desc.
per_page
10, 25, 50, 100. Standardmäßig ist: 100.
API endpoint
https://dlx-rank.com/api/v1/reports/{id}
Beispiel Request
curl --location --request GET 'https://dlx-rank.com/api/v1/reports/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API endpoint
https://dlx-rank.com/api/v1/reports
Beispiel Request
curl --location --request POST 'https://dlx-rank.com/api/v1/reports' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}'
Parameters
url
API endpoint
https://dlx-rank.com/api/v1/reports/{id}
Beispiel Request
curl --location --request DELETE 'https://dlx-rank.com/api/v1/reports/{id}' \ --header 'Authorization: Bearer {api_key}'